Skip to main content
`Ctrl`+`K`

# NEPSetRG

Associates a region object to the nonlinear eigensolver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetRG(NEP nep,RG rg)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- rg - the region object

## Note

Use `NEPGetRG()` to retrieve the region context (for example, to free it at the end of the computations).

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPGetRG()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages